# LINE 傳單機制

* http://git.choozmo.com:3000/jared/liff_test
* 注意前後端的網址名稱要一致 const url 這行，以及後端的 app.get 裡面的網址
* 前後端的 redis key 要一致，後端先手動把HTML放到 redis 裡面

## 前端

*  liff_test 裡面把整個 liff2 複製到新的 folder 就可以
*  js/liff-init.js 內容可以改成:

```
 const liffId = "1657114132-2vvKr7Pe";

```

*  js/liff-functions.js 網址  改成和後台一致

```
const url = 'https://liff.googo.org:9898/getliff3' 
```

## 後端

* 下面這個 /news 改成和前端同樣的網址
* r.get('liffnews') 這裡就是設定的 redis key 

```
@app.get("/news")
def news(request: Request):
    r = redis.Redis(host='db.ptt.cx', port=6379, db=2,password='choozmo9')
    data=r.get('liffnews')
    return json.loads(data)
```

* redis_set.py 裡面程式可以參考。  
* btn_data 就是 redis key, 類似上述的 liffnews
* redis key 內容設定成 HTML 樣板內容

```
    r.set('btn_data',full_result)
```

## 重啟程式

* 172.105.205.52
* tmux a
* 找到 /getliff 之類的那個視窗，control c, git pull, 重新執行一次 uvicorn

