
> 請安裝 Markdown Diagrams Chrome Extension，以方便瀏覽圖表。 https://chrome.google.com/webstore/detail/markdown-diagrams/pmoglnmodacnbbofbgcagndelmgaclel?hl=en

> VS code裡面可以安裝 Markdown Preview Enhanced，可以同時看 md以及plantuml檔案


## 重要連結與事項

* [會議討論](./docs/org/meeting.md)
* [業務開發](./docs/org/business_development.md)
* [程式開發](./docs/dev/google-docker.md)

```plantuml
@startmindmap
+ ChoozMo 遠端團隊營運方針
++ 系統化
+++_ 例如：宇宙圖，關鍵字排名、製作二代主播、廣告規劃書
++ 自動化
+++_ 例如：LINE自動提醒流量、結案報告自動化
++ 制度化
+++_ 例如：執行表單追蹤工作、續約、收款日
@endmindmap
```
## 組織架構

```plantuml
@startwbs
* 管理部
** 研發與工程部
*** 前端工程師
*** 後端工程師
*** 數據分析
** 數位行銷部
*** 行銷企劃
****_ 數位行銷提案技能
****_ SEO分析技能
****_ 廣告投放技能
****_ GA追蹤技能
****_ 行銷成效分析與改善技能
****_ 影片編輯技能
****_ 視覺設計技能
****_ 3D設計技能
** 業務開發
@endwbs
```

## 資源
* [開發名單](https://drive.google.com/drive/folders/163EdRDvkXHQyEuDShQMUBMy81WpqRBnx)


## 填寫格式

* 最新的日期在最上面
* 每天列3 到5 個重點摘要工作
* 特殊事件請用中括號，以利程式判讀，特殊事件包含：

    - 請假
    - 加班
    - 假日加班


## 填寫原則

* 每日填寫: 正職同仁
* 一三五填寫: Yukyo
* 二四填寫: 詠心,麵麵,獻泓,Nina
* 每年一個 folder

## 自動通知原則

* 每天傍晚五點發大群

