# BPM

## 專案流程

```plantuml
@startuml
(*) --> "代理商"
(*) --> "直客"
(*) --> "客戶轉介"
"代理商" --> "需求確認"
"直客" --> "需求確認"
"客戶轉介" --> "需求確認"
"需求確認" --> "方案規劃"
"需求確認" --> "商業目標確認"
note left
品牌曝光
網址點擊
填單
來電
APP安裝
產品購買
end note
"方案規劃" --> "微店方案"
"方案規劃" --> "網站專案"
"方案規劃" --> "客製方案"
"方案規劃" --> "指標型客戶方案"
"指標型客戶方案"--> "客製方案"
"指標型客戶方案" --> "廣告規劃書"
partition 規劃 {
"客製方案" --> "客群分析"
"客製方案" --> "競業分析"
"客製方案" --> "SEO分析"
"SEO分析" --> "初步建議字組"
"客製方案" --> "口碑分析"
"客製方案" --> "地標分析"
"客製方案" --> "網站建置分析"
"網站建置分析" --> "素材整備程度"
"網站建置分析" --> "UIUX分工確認"
"網站建置分析" --> "架構與頁數確認"
}
"網站建置分析" --> "整合提案"
"客群分析" --> "整合提案"
"SEO分析" --> "整合提案"
"口碑分析" --> "整合提案"
"整合提案" --> "報價單"
"整合提案" --> "合約"
"報價單" --> "客戶簽回"
"合約" --> "客戶簽回"
"客戶簽回" --> "<PM>填寫執行表單"

partition SEO執行 {
"<PM>填寫執行表單" --> "官網SEO"
"官網SEO" --> "<行銷>產生字組"
"外部SEO" --> "<行銷>產生字組"
"<行銷>產生字組" --> "<主管>確認最終字組"
"<主管>確認最終字組" --> "<RD>執行SEO"
"<PM>填寫執行表單" --> "外部SEO"
}
partition SEO追蹤 {
"<RD>執行SEO" --> "追蹤成效報表"
}
partition SEO終止 {
"追蹤成效報表" --> "終止"
}
partition SEO未達績效重跑 {
"追蹤成效報表" --> "未達績效重跑"
}

partition SEO結案 {
"追蹤成效報表" --> "結案報表"
}

@enduml
```